// fragment metody korzystajcej z SATSA-JCRMI
try
{
    // cze do apletu na karcie w slocie 0 o danym AID
    String loyalityUrl="jcrmi:0;AID=a0.0.0.1.1.1.1.1.1.1";

    JavaCardRMIConnection jcRMI=(JavaCardRMIConnection)Connector.open(loyalityUrl);

    Loyality loyalityApplet=(Loyality) jcRMI.getInitialReference();

    // wykonanie operacji odczytu iloci punktw z karty
    short points = loyalityApplet.read();
    // dodanie punktw
    loyalityApplet.add((short) 200);
    // odjcie punktw
    loyalityApplet.sub((short) 20);
    // ponowne odczytanie iloci punktw
    points = loyalityApplet.read();

    // zamknicie poczenia
    jcRMI.close();
} 
catch (UserException e) 
{
    // wyjtek uytkownika (za operacja na punktach)
    e.printStackTrace();
} 
catch (Exception e) 
{
    // inne wyjtki
    System.out.println(e);
} 
finally 
{
    try 
    {
	// zamknicie poczenia
	jcRMI.close();
    } 
    catch (Exception e) 
    {
	System.out.println(e);
    }
}

